Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.audit
Interface Auditor

All Known Implementing Classes:
  AuditorImpl

    public interface Auditor

Use auditors to audit events and messages on the server.

All events and messages are sent to the auditor for recording. The auditor will determine if auditing should take place, and what to do with the data.

Author:
  Iain Shigeoka

Method Summary
`void` | `audit(org.xmpp.packet.Packet packet, Session session)` Audit an XMPP packet.
`int` | `getQueuedPacketsNumber()` Returns the number of queued packets that are still in memory and need to be saved to a permanent store.
`void` | `stop()` Prepares the auditor for system shutdown.

Method Detail

### audit

    void audit(org.xmpp.packet.Packet packet,
               Session session)

  Audit an XMPP packet.

  Parameters:
    `packet` - the packet being audited
    `session` - the session used for sending or receiving the packet

### stop

    void stop()

  Prepares the auditor for system shutdown.

### getQueuedPacketsNumber

    int getQueuedPacketsNumber()

  Returns the number of queued packets that are still in memory and need to be saved to a permanent store.

  Returns:
    the number of queued packets that are still in memory.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.